Bug 181465 - [MAINTAINER] sysutils/py27-glances: update to 1.7.1
Summary: [MAINTAINER] sysutils/py27-glances: update to 1.7.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-22 18:50 UTC by Gasol Wu
Modified: 2013-08-22 23:40 UTC (History)
0 users

See Also:


Attachments
py27-glances-1.7.1.patch (9.40 KB, patch)
2013-08-22 18:50 UTC, Gasol Wu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gasol Wu 2013-08-22 18:50:00 UTC
- Update to 1.7.1

Generated with FreeBSD Port Tools 0.99_8 (mode: update, diff: ports)
Comment 1 William Grzybowski freebsd_committer 2013-08-22 21:18:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 2 William Grzybowski freebsd_committer 2013-08-22 21:43:08 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 3 dfilter service freebsd_committer 2013-08-22 23:38:42 UTC
Author: wg
Date: Thu Aug 22 20:42:45 2013
New Revision: 325231
URL: http://svnweb.freebsd.org/changeset/ports/325231

Log:
  sysutils/py-glances: update to 1.7.1
  
  - Update to 1.7.1
  - Add NLS option
  - Use single space for WWW
  
  Changes: https://github.com/nicolargo/glances/blob/master/NEWS
  
  PR:		ports/181465
  Submitted by:	Gasol Wu <gasol.wu gmail.com> (maintainer)

Added:
  head/sysutils/py-glances/files/
  head/sysutils/py-glances/files/patch-setup.py   (contents, props changed)
  head/sysutils/py-glances/pkg-plist   (contents, props changed)
Modified:
  head/sysutils/py-glances/Makefile
  head/sysutils/py-glances/distinfo
  head/sysutils/py-glances/pkg-descr

Modified: head/sysutils/py-glances/Makefile
==============================================================================
--- head/sysutils/py-glances/Makefile	Thu Aug 22 20:38:28 2013	(r325230)
+++ head/sysutils/py-glances/Makefile	Thu Aug 22 20:42:45 2013	(r325231)
@@ -2,10 +2,11 @@
 # $FreeBSD$
 
 PORTNAME=	glances
-PORTVERSION=	1.5.1
+PORTVERSION=	1.7.1
 CATEGORIES=	sysutils python
-MASTER_SITES=	https://github.com/downloads/nicolargo/glances/
+MASTER_SITES=	https://github.com/nicolargo/glances/archive/
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
+DISTNAME=	v${PORTVERSION}
 
 MAINTAINER=	gasol.wu@gmail.com
 COMMENT=	CLI curses based monitoring tool for GNU/Linux and BSD OS
@@ -15,12 +16,39 @@ LICENSE=	LGPL3
 RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}Jinja2>=2.0.0:${PORTSDIR}/devel/py-Jinja2 \
 		${PYTHON_PKGNAMEPREFIX}psutil>=0.4.1:${PORTSDIR}/sysutils/py-psutil
 
+WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
 FETCH_ARGS=	-pRr
-USE_PYTHON=	2.6+
+USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 PYDISTUTILS_PKGNAME=	Glances
 
-PLIST_FILES=	bin/glances \
-		%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
+OPTIONS_DEFINE=	NLS
+
+.if !defined(NO_INSTALL_MANPAGES)
+MAN1=		glances.1
+.endif
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MNLS}
+USES+=		gettext
+PLIST_SUB+=	NLS=""
+TRANSLATIONS=	es fr it pt_BR zh_CN
+.else
+PLIST_SUB+=	NLS="@comment "
+.endif
+
+post-install:
+	@${MKDIR} ${PREFIX}/etc/glances
+	${INSTALL_DATA} ${WRKSRC}/glances/conf/glances.conf ${PREFIX}/etc/glances/glances.conf.sample
+.if !defined(NO_INSTALL_MANPAGES)
+	${INSTALL_MAN} ${WRKSRC}/docs/man/glances.1 ${MANPREFIX}/man/man1/
+.endif
+.if ${PORT_OPTIONS:MNLS}
+.for lang in ${TRANSLATIONS}
+	${INSTALL_DATA} ${WRKSRC}/i18n/${lang}/LC_MESSAGES/glances.mo \
+		${PREFIX}/share/locale/${lang}/LC_MESSAGES/
+.endfor
+.endif
 
 .include <bsd.port.mk>

Modified: head/sysutils/py-glances/distinfo
==============================================================================
--- head/sysutils/py-glances/distinfo	Thu Aug 22 20:38:28 2013	(r325230)
+++ head/sysutils/py-glances/distinfo	Thu Aug 22 20:42:45 2013	(r325231)
@@ -1,2 +1,2 @@
-SHA256 (glances-1.5.1.tar.gz) = a2d503510506014d1b417dddeab1f0a1022990ba54e0c7dd89da7b20f50d0583
-SIZE (glances-1.5.1.tar.gz) = 647418
+SHA256 (v1.7.1.tar.gz) = a681883dd6add6371e987bac2b2bbb2959f873283d833ec2e6f2e1e3707a5e3c
+SIZE (v1.7.1.tar.gz) = 693211

Added: head/sysutils/py-glances/files/patch-setup.py
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/py-glances/files/patch-setup.py	Thu Aug 22 20:42:45 2013	(r325231)
@@ -0,0 +1,27 @@
+--- ./setup.py.orig	2013-08-20 19:49:41.000000000 +0800
++++ ./setup.py	2013-08-23 01:16:53.000000000 +0800
+@@ -11,10 +11,9 @@
+                            'docs/glances-doc.html',
+                            'glances/conf/glances.conf']),
+     ('share/doc/glances/images', glob.glob('docs/images/*.png')),
+-    ('share/glances/css', glob.glob('glances/data/css/*.css')),
+-    ('share/glances/html', glob.glob('glances/data/html/*.html')),
+-    ('share/glances/img', glob.glob('glances/data/img/*.png')),
+-    ('share/man/man1', ['docs/man/glances.1'])
++    ('glances/data/css', glob.glob('glances/data/css/*.css')),
++    ('glances/data/html', glob.glob('glances/data/html/*.html')),
++    ('glances/data/img', glob.glob('glances/data/img/*.png')),
+ ]
+ 
+ if hasattr(sys, 'real_prefix') or 'bsd' in sys.platform:
+@@ -23,10 +22,6 @@
+     etc_path = os.path.join('/etc', 'glances')
+ elif 'darwin' in sys.platform:
+     etc_path = os.path.join('/usr/local', 'etc', 'glances')
+-data_files.append((etc_path, ['glances/conf/glances.conf']))
+-
+-for mo in glob.glob('i18n/*/LC_MESSAGES/*.mo'):
+-    data_files.append((os.path.dirname(mo).replace('i18n/', 'share/locale/'), [mo]))
+ 
+ setup(
+     name='Glances',

Modified: head/sysutils/py-glances/pkg-descr
==============================================================================
--- head/sysutils/py-glances/pkg-descr	Thu Aug 22 20:38:28 2013	(r325230)
+++ head/sysutils/py-glances/pkg-descr	Thu Aug 22 20:42:45 2013	(r325231)
@@ -1,4 +1,4 @@
 Glances is a CLI curses based monitoring tool for GNU/Linux and BSD OS.
-Glances uses the PsUtil library to get information from your system.
+Uses the PsUtil library to get information from your system.
 
-WWW:	http://nicolargo.github.com/glances
+WWW: http://nicolargo.github.com/glances/

Added: head/sysutils/py-glances/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/py-glances/pkg-plist	Thu Aug 22 20:42:45 2013	(r325231)
@@ -0,0 +1,78 @@
+bin/glances
+etc/glances/glances.conf.sample
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/PKG-INFO
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/SOURCES.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/dependency_links.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/entry_points.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/not-zip-safe
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/requires.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/top_level.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/glances/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/glances/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/glances/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/glances/conf/glances-with-monitored.conf
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/glances/conf/glances.conf
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/glances/data/css/default.css
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/glances/data/html/base.html
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/glances/data/html/default.html
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/glances/data/img/bg.png
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/glances/glances.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/glances/glances.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/glances/glances.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/doc/glances/AUTHORS
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/doc/glances/COPYING
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/doc/glances/NEWS
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/doc/glances/README.rst
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/doc/glances/glances-doc.html
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/doc/glances/glances.conf
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/doc/glances/images/battery.png
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/doc/glances/images/client-connected.png
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/doc/glances/images/client-disconnected.png
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/doc/glances/images/cpu-wide.png
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/doc/glances/images/cpu.png
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/doc/glances/images/diskio.png
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/doc/glances/images/footer.png
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/doc/glances/images/fs.png
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/doc/glances/images/glances-white-256.png
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/doc/glances/images/hddtemp.png
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/doc/glances/images/header.png
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/doc/glances/images/load.png
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/doc/glances/images/logs.png
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/doc/glances/images/mem-wide.png
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/doc/glances/images/mem.png
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/doc/glances/images/monitored.png
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/doc/glances/images/network.png
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/doc/glances/images/per-cpu.png
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/doc/glances/images/processlist-wide.png
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/doc/glances/images/processlist.png
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/doc/glances/images/screenshot-wide.png
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/doc/glances/images/screenshot.png
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/doc/glances/images/sensors.png
+%%NLS%%share/locale/es/LC_MESSAGES/glances.mo
+%%NLS%%share/locale/fr/LC_MESSAGES/glances.mo
+%%NLS%%share/locale/it/LC_MESSAGES/glances.mo
+%%NLS%%share/locale/pt_BR/LC_MESSAGES/glances.mo
+%%NLS%%share/locale/zh_CN/LC_MESSAGES/glances.mo
+@dirrm etc/glances
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/doc/glances/images
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/doc/glances
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share/doc
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/share
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/glances/data/css
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/glances/data/html
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/glances/data/img
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/glances/data
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/glances/conf
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/glances
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
+%%NLS%%@dirrmtry share/locale/zh_CN/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/zh_CN
+%%NLS%%@dirrmtry share/locale/pt_BR/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/pt_BR
+%%NLS%%@dirrmtry share/locale/it/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/it
+%%NLS%%@dirrmtry share/locale/fr/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/fr
+%%NLS%%@dirrmtry share/locale/es/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/es
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"